Sora-2-Pro - Text To Video - reverse
Pro-grade sora 2 pro text to video. Create professional-quality cinema and high-end advertising from simple text.
POST
/
api
/
v3
/
openai
/
reverse
/
sora-2-pro
/
text-to-video
sora-2-pro (Text To Video)
curl --request POST \
--url https://gptproto.com/api/v3/openai/reverse/sora-2-pro/text-to-videoimport requests
url = "https://gptproto.com/api/v3/openai/reverse/sora-2-pro/text-to-video"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://gptproto.com/api/v3/openai/reverse/sora-2-pro/text-to-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authentication
- Sign up for a GPTProto account at https://gptproto.com
- Navigate to the API Keys section in your dashboard
- Generate a new API key (sk-xxxxx)
- Copy and securely store your API key For authentication details, please refer to the Authentication section.
Initiate Request
curl --location 'https://gptproto.com/api/v3/openai/reverse/sora-2-pro/text-to-video' \
--header 'Authorization: GPTPROTO_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orientation": "portrait",
"prompt": "She turns around and smiles, then slowly walks out of the frame.",
"size": "small",
"duration": 10,
"character_url": "https://oss.gptproto.com/2025/11/11/fffe18ab440d4fadb16b4563c4cd18d1.mp4"
}'
const axios = require('axios');
let data = JSON.stringify({
"orientation": "portrait",
"prompt": "She turns around and smiles, then slowly walks out of the frame.",
"size": "small",
"duration": 10,
"character_url": "https://oss.gptproto.com/2025/11/11/fffe18ab440d4fadb16b4563c4cd18d1.mp4"
});
let config = {
method: 'post',
maxBodyLength: Infinity,
url: 'https://gptproto.com/api/v3/openai/reverse/sora-2-pro/text-to-video',
headers: {
'Authorization': 'GPTPROTO_API_KEY',
'Content-Type': 'application/json'
},
data : data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
import requests
import json
url = "https://gptproto.com/api/v3/openai/reverse/sora-2-pro/text-to-video"
payload = json.dumps({
"orientation": "portrait",
"prompt": "She turns around and smiles, then slowly walks out of the frame.",
"size": "small",
"duration": 10,
"character_url": "https://oss.gptproto.com/2025/11/11/fffe18ab440d4fadb16b4563c4cd18d1.mp4"
})
headers = {
'Authorization': 'GPTPROTO_API_KEY',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://gptproto.com/api/v3/openai/reverse/sora-2-pro/text-to-video"
method := "POST"
payload := strings.NewReader(`{
"orientation": "portrait",
"prompt": "She turns around and smiles, then slowly walks out of the frame.",
"size": "small",
"duration": 10,
"character_url": "https://oss.gptproto.com/2025/11/11/fffe18ab440d4fadb16b4563c4cd18d1.mp4"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "GPTPROTO_API_KEY")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}
Query Result
If the request that generated your content includes the parameterenable_sync_mode set to true (some models do not support this parameter, but you still need to query the result by id), you must call the Query Result endpoint to retrieve the final output.
curl -X GET "https://gptproto.com/api/v3/predictions/{id}/result" \
-H "Authorization: GPTPROTO_API_KEY" \
-H "Content-Type: application/json"
import requests
import json
url = "https://gptproto.com/api/v3/predictions/{id}/result"
headers = {
"Authorization: GPTPROTO_API_KEY",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/api/v3/predictions/{id}/result";
const headers = {
"Authorization: GPTPROTO_API_KEY",
"Content-Type": "application/json"
};
fetch(url, {
method: "GET",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error("Error:", error));
package main
import (
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://gptproto.com/api/v3/predictions/{id}/result"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "GPTPROTO_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
You can find it in either:
data.id– the unique identifier of the predictiondata.urls[0].get– a ready-to-use GET URL that already embeds the id
Response Example
Response Example
{
"data": {
"id": "abc",
"model": "model_name",
"outputs": [],
"urls": {
"get": "https://gptproto.com/api/v3/predictions/abc/result"
},
"status": "completed",
"error": null,
"executionTime": 0,
"timings": {
"inference": 0
},
"has_nsfw_contents": [],
"created_at": "2026-01-01 00:00:00"
},
"message": "success",
"code": 200
}
Parameters
| Parameter | Type | Required | Default | Range | Description |
|---|---|---|---|---|---|
model | string | ✅ Yes | sora-2 | sora-2sora-2-pro | The video generation model to use. |
prompt | string | ✅ Yes | - | - | The positive prompt for the generation. |
images | string[] | ✅ Yes | - | - | Images parameter ,The image must match the target video’s resolution (size). |
size | string | ✅ Yes | small | smalllarge | Video size quality. Options: small, large. Only sora-2-pro supports high-definition (large) |
orientation | string | ❌ No | portrait | portraitlandscape | Video orientation, does not support specific size control. Options: portrait, landscape |
duration | integer | ❌ No | 10 | For sora-2:10、15For sora-2-pro: 10、15、25 | The duration of the generated video in seconds. For sora-2: 10, 15. For sora-2-pro: 10, 15, 25 |
character_url | string | ❌ No | - | - | Non-human IP video URL. |
Error Codes
Common Error Codes
| Error Code | Error Name | Description |
|---|---|---|
| 401 | Unauthorized | API key is missing or invalid |
| 403 | Forbidden | Your API key doesn’t have permission to access this resource, or insufficient balance for the requested operation |
| 429 | Too Many Requests | You’ve exceeded your rate limit |
| 500 | Internal server error | An internal server error occurred |
| 503 | Content policy violation | Content blocked due to safety concerns (actual status code is 400) |
⌘I

